<?php
	//谷鸽新闻搜索系统基本设置
	//谷鸽版权所有www.googie.cc | www.ose.cc 论坛bbs.ose.cc
	//谷鸽搜索研发
	//谷鸽QQ群58300939  客服QQ120588880
$site_name='谷鸽新闻';//你网站的搜索站名
$searchT='http://';//默认http:// 请不要改
$site_url='http://www.googie.cc';//网站URL,带http://，结尾不要带/
$GAuthorization='ns80d70c539a270ef3da7acff026ed88';//默认谷鸽授权验证 32位 ns80d70c539a270ef3da7acff026ed88 请不要改
$icp='粤ICP备10000888号';//你网站的备案号
$Gname='谷鸽';//你网站的站名
$Gindex='s';//你网站的文件路径
$site_index='index.php';//首页
$site_description='www.googie.cc谷鸽已开发网页、MP3、图片、视频、新闻等搜索服务,以及贴吧、知道、空间等搜索社区产品.';//OSE
$Authorization='www.ose.cc';//谷鸽版权 默认www.ose.cc或者ose.cc 请不要改 

function intercept_str($str,$start,$end,$option){
		$strarr=explode($start,$str);
		$tem=$strarr[1];
		if(empty($end)){
		return $tem;
		}else{
		$strarr=explode($end,$tem);
		if($option==1){
		return $strarr[0];
		}
		if($option==2){
		return $start.$strarr[0];
		}
		if($option==3){
		return $strarr[0].$end;
		}else{
		return $start.$strarr[0].$end;
		}
		}
}

     function get_contents($url){
              $ch = curl_init();     
              curl_setopt ($ch, CURLOPT_URL, $url);     
              curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
              curl_setopt ($ch, CURLOPT_TIMEOUT, 1000); 
              $file_contents = curl_exec($ch);     
              curl_close($ch);
              return $file_contents;
       }
?>